import { Options, OptionType } from "../types";
import { EventBus } from "../utils/EventBus";
export declare type Trigger = {
    word: string | undefined;
    triggeredValue: string | undefined;
    text: string | undefined;
    indexBefore: number | undefined;
    option: OptionType;
    style: {
        left: number;
        top: number;
    };
};
export declare const useTrigger: (options: Options, bus: EventBus) => Trigger | undefined;
//# sourceMappingURL=useTrigger.d.ts.map