(function(){"use strict";try{var e=document.createElement("style");e.appendChild(document.createTextNode(".mk-input{min-height:1.4em}.mk-input span{outline:none;white-space:pre-wrap}.mk-suggestions{border:1px solid #ccc;max-height:186px;overflow-y:auto;padding-left:0;position:absolute;background:white;width:fit-content;min-width:100px;transition:1.1s ease-out;filter:blur(0);transform:scale(1);opacity:1;visibility:visible;color:#000;border-radius:4%;box-shadow:0 3px 6px -2px #0009}.mk-suggestions li{padding:.5rem}.mk-suggestions li:hover,.mk-suggestion-active{background-color:#cce9ff;color:#2589f5;cursor:pointer}")),document.head.appendChild(e)}catch(i){console.error("vite-plugin-css-injected-by-js",i)}})();
var Dt = (n, t, r) => {
  if (!t.has(n))
    throw TypeError("Cannot " + r);
};
var F = (n, t, r) => (Dt(n, t, "read from private field"), r ? r.call(n) : t.get(n)), He = (n, t, r) => {
  if (t.has(n))
    throw TypeError("Cannot add the same private member more than once");
  t instanceof WeakSet ? t.add(n) : t.set(n, r);
};
import ye, { useContext as At, Children as jt, isValidElement as qe, useRef as ie, useLayoutEffect as Nt, forwardRef as It, useEffect as k, useMemo as Z, useCallback as me, useState as be, createElement as Ft } from "react";
const G = {
  UP: "ArrowUp",
  DOWN: "ArrowDown",
  LEFT: "ArrowLeft",
  RIGHT: "ArrowRight",
  END: "End",
  HOME: "Home",
  PAGE_DOWN: "PageDown",
  PAGE_UP: "PageUp",
  ENTER: "Enter",
  TAB: "Tab",
  SPACE: " ",
  BACKSPACE: "Backspace",
  DELETE: "Delete",
  COMMA: ",",
  ESC: "Escape"
};
var N = /* @__PURE__ */ ((n) => (n.LABEL = "__label__", n.VALUE = "__value__", n))(N || {});
const ze = "mk-input", Je = {
  trigger: "@",
  markup: "@[__label__](__value__)",
  data: []
};
class Lt {
  constructor(t, r) {
    this.raw = t, this.uniRegExp = r, this.done = !1;
  }
  [Symbol.iterator]() {
    return this;
  }
  next() {
    if (this.done)
      return { done: this.done, value: null };
    let t = this.uniRegExp.exec(this.raw);
    if (t === null)
      return this.done = !0, { done: !1, value: [this.raw, null] };
    let [r, o, s] = this.extractPieces(t);
    return this.raw = s, { done: !1, value: [r, o] };
  }
  extractPieces(t) {
    const r = this.extractMark(t), o = r.input.substring(0, r.index), s = r.input.substring(r.index + r.annotation.length);
    return [o, r, s];
  }
  extractMark(t) {
    let r = t[0], o = 0, s = t[1], i = t[2];
    for (; !(s || i); )
      o++, s = t[2 * o + 1], i = t[2 * o + 2];
    let l = t.index, f = t.input;
    return { annotation: r, label: s, value: i, input: f, index: l, childIndex: o };
  }
}
class ue {
  get regExps() {
    return this.markups.map(Mt);
  }
  static split(t, r) {
    const o = r.map((s) => s.markup);
    return () => new ue(o).split(t);
  }
  constructor(t) {
    this.markups = t, this.uniRegExp = new RegExp(this.regExps.map((r) => r.source).join("|"));
  }
  split(t) {
    return this.iterateMatches(t);
  }
  iterateMatches(t) {
    const r = [];
    for (let [o, s] of new Lt(t, this.uniRegExp))
      r.push(o), s !== null && r.push(Wt(s, this.markups[s.childIndex]));
    return r;
  }
}
const et = Object.assign, Mt = (n) => {
  const t = X(n), r = n[n.indexOf(N.LABEL) + N.LABEL.length], o = n[n.indexOf(N.VALUE) + N.VALUE.length];
  return new RegExp(
    t.replace(N.LABEL, `([^${X(r || "")}]+?)`).replace(N.VALUE, `([^${X(o || "")}]+?)`)
  );
}, Bt = (n) => {
  const r = X(n) + "(\\w*)";
  return new RegExp(r);
};
function Re(n, t, r) {
  let o = n.replace(N.LABEL, t);
  return r ? o.replace(N.VALUE, r) : o;
}
function br(n, t, ...r) {
  return r.length ? new ue(r).split(n).reduce((s, i) => s += ce(i) ? t(i) : i, "") : n;
}
const X = (n) => n.replace(/[-[\]{}()*+?.,\\^$|#\s]/g, "\\$&");
function Xe(n, t) {
  let r = "";
  for (let o of n)
    r += ce(o) ? Re(t[o.childIndex].markup, o.label, o.value) : o;
  return r;
}
const Wt = (n, t) => n.annotation !== Re(t, n.label, n.value) ? { ...n, label: n.value, value: n.label } : n, se = (n, t = 0) => {
  let r = 3735928559 ^ t, o = 1103547991 ^ t;
  for (let s = 0, i; s < n.length; s++)
    i = n.charCodeAt(s), r = Math.imul(r ^ i, 2654435761), o = Math.imul(o ^ i, 1597334677);
  return r = Math.imul(r ^ r >>> 16, 2246822507) ^ Math.imul(o ^ o >>> 13, 3266489909), o = Math.imul(o ^ o >>> 16, 2246822507) ^ Math.imul(r ^ r >>> 13, 3266489909), 4294967296 * (2097151 & o) + (r >>> 0);
}, ce = (n) => typeof n == "object", $t = (n) => typeof n == "function", Vt = (n) => n.startsWith("on"), Ut = (n) => qe(n) ? !0 : qe(n == null ? void 0 : n[0]);
function Yt(n) {
  if (Ut(n))
    return jt.map(n, (r) => t(r.props));
  if (n != null && n.length)
    return n.map(t);
  return [Je];
  function t(r) {
    return et({}, Je, r);
  }
}
const Kt = (n) => {
  const t = ye.createContext(void 0);
  t.displayName = n;
  const r = s(t), o = t.Provider;
  return [r, o];
  function s(i) {
    return () => {
      const l = At(i);
      if (l)
        return l;
      throw new Error(`The context ${i.displayName} didn't found!`);
    };
  }
}, [B, Gt] = Kt("MarkedInputStoreProvider");
class Q {
  static setIndex(t, r) {
    const o = window.getSelection();
    if (!(o != null && o.anchorNode) || !o.rangeCount)
      return;
    const s = o.getRangeAt(0);
    s == null || s.setStart(t.firstChild || t, r), s == null || s.setEnd(t.firstChild || t, r);
  }
  static getCaretIndex(t) {
    let r = 0;
    const o = window.getSelection();
    if (!(o != null && o.rangeCount))
      return r;
    const s = o.getRangeAt(0), i = s.cloneRange();
    return i.selectNodeContents(t), i.setEnd(s.endContainer, s.endOffset), r = i.toString().length, r;
  }
  static setCaretToEnd(t) {
    if (!t)
      return;
    const r = window.getSelection();
    r == null || r.setPosition(t, 1);
  }
  static getIndex() {
    var r;
    const t = window.getSelection();
    return (r = t == null ? void 0 : t.anchorOffset) != null ? r : NaN;
  }
  static setIndex1(t) {
    const r = window.getSelection();
    if (!(r != null && r.anchorNode) || !r.rangeCount)
      return;
    const o = r.getRangeAt(0);
    o == null || o.setStart(o.startContainer.firstChild || o.startContainer, t), o == null || o.setEnd(o.startContainer.firstChild || o.startContainer, t);
  }
  setCaretRightTo(t, r) {
    const o = window.getSelection(), s = o == null ? void 0 : o.getRangeAt(0);
    s == null || s.setStart(s.endContainer, r), s == null || s.setEnd(s.endContainer, r);
  }
}
const Ht = (n) => {
  const t = ie(NaN);
  function r() {
    !n.current || (t.current = Q.getCaretIndex(n.current));
  }
  function o() {
    !n.current || (Q.setIndex(n.current, t.current), t.current = NaN);
  }
  return Nt(() => {
    Number.isNaN(t.current) || o();
  }), r;
};
var I = /* @__PURE__ */ ((n) => (n[n.Change = 0] = "Change", n[n.Delete = 1] = "Delete", n))(I || {}), xe = { exports: {} }, z = {};
/**
 * @license React
 * react-jsx-runtime.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var Ze;
function qt() {
  if (Ze)
    return z;
  Ze = 1;
  var n = ye, t = Symbol.for("react.element"), r = Symbol.for("react.fragment"), o = Object.prototype.hasOwnProperty, s = n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner, i = { key: !0, ref: !0, __self: !0, __source: !0 };
  function l(f, d, b) {
    var g, m = {}, _ = null, S = null;
    b !== void 0 && (_ = "" + b), d.key !== void 0 && (_ = "" + d.key), d.ref !== void 0 && (S = d.ref);
    for (g in d)
      o.call(d, g) && !i.hasOwnProperty(g) && (m[g] = d[g]);
    if (f && f.defaultProps)
      for (g in d = f.defaultProps, d)
        m[g] === void 0 && (m[g] = d[g]);
    return { $$typeof: t, type: f, key: _, ref: S, props: m, _owner: s.current };
  }
  return z.Fragment = r, z.jsx = l, z.jsxs = l, z;
}
var J = {};
/**
 * @license React
 * react-jsx-runtime.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var Qe;
function zt() {
  return Qe || (Qe = 1, process.env.NODE_ENV !== "production" && function() {
    var n = ye, t = Symbol.for("react.element"), r = Symbol.for("react.portal"), o = Symbol.for("react.fragment"), s = Symbol.for("react.strict_mode"), i = Symbol.for("react.profiler"), l = Symbol.for("react.provider"), f = Symbol.for("react.context"), d = Symbol.for("react.forward_ref"), b = Symbol.for("react.suspense"), g = Symbol.for("react.suspense_list"), m = Symbol.for("react.memo"), _ = Symbol.for("react.lazy"), S = Symbol.for("react.offscreen"), D = Symbol.iterator, W = "@@iterator";
    function w(e) {
      if (e === null || typeof e != "object")
        return null;
      var a = D && e[D] || e[W];
      return typeof a == "function" ? a : null;
    }
    var T = n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;
    function p(e) {
      {
        for (var a = arguments.length, u = new Array(a > 1 ? a - 1 : 0), c = 1; c < a; c++)
          u[c - 1] = arguments[c];
        $("error", e, u);
      }
    }
    function $(e, a, u) {
      {
        var c = T.ReactDebugCurrentFrame, E = c.getStackAddendum();
        E !== "" && (a += "%s", u = u.concat([E]));
        var y = u.map(function(h) {
          return String(h);
        });
        y.unshift("Warning: " + a), Function.prototype.apply.call(console[e], console, y);
      }
    }
    var V = !1, U = !1, ee = !1, rt = !1, nt = !1, _e;
    _e = Symbol.for("react.module.reference");
    function ot(e) {
      return !!(typeof e == "string" || typeof e == "function" || e === o || e === i || nt || e === s || e === b || e === g || rt || e === S || V || U || ee || typeof e == "object" && e !== null && (e.$$typeof === _ || e.$$typeof === m || e.$$typeof === l || e.$$typeof === f || e.$$typeof === d || e.$$typeof === _e || e.getModuleId !== void 0));
    }
    function at(e, a, u) {
      var c = e.displayName;
      if (c)
        return c;
      var E = a.displayName || a.name || "";
      return E !== "" ? u + "(" + E + ")" : u;
    }
    function Ce(e) {
      return e.displayName || "Context";
    }
    function A(e) {
      if (e == null)
        return null;
      if (typeof e.tag == "number" && p("Received an unexpected object in getComponentNameFromType(). This is likely a bug in React. Please file an issue."), typeof e == "function")
        return e.displayName || e.name || null;
      if (typeof e == "string")
        return e;
      switch (e) {
        case o:
          return "Fragment";
        case r:
          return "Portal";
        case i:
          return "Profiler";
        case s:
          return "StrictMode";
        case b:
          return "Suspense";
        case g:
          return "SuspenseList";
      }
      if (typeof e == "object")
        switch (e.$$typeof) {
          case f:
            var a = e;
            return Ce(a) + ".Consumer";
          case l:
            var u = e;
            return Ce(u._context) + ".Provider";
          case d:
            return at(e, e.render, "ForwardRef");
          case m:
            var c = e.displayName || null;
            return c !== null ? c : A(e.type) || "Memo";
          case _: {
            var E = e, y = E._payload, h = E._init;
            try {
              return A(h(y));
            } catch {
              return null;
            }
          }
        }
      return null;
    }
    var M = Object.assign, H = 0, we, Te, Pe, Se, ke, Oe, De;
    function Ae() {
    }
    Ae.__reactDisabledLog = !0;
    function st() {
      {
        if (H === 0) {
          we = console.log, Te = console.info, Pe = console.warn, Se = console.error, ke = console.group, Oe = console.groupCollapsed, De = console.groupEnd;
          var e = {
            configurable: !0,
            enumerable: !0,
            value: Ae,
            writable: !0
          };
          Object.defineProperties(console, {
            info: e,
            log: e,
            warn: e,
            error: e,
            group: e,
            groupCollapsed: e,
            groupEnd: e
          });
        }
        H++;
      }
    }
    function it() {
      {
        if (H--, H === 0) {
          var e = {
            configurable: !0,
            enumerable: !0,
            writable: !0
          };
          Object.defineProperties(console, {
            log: M({}, e, {
              value: we
            }),
            info: M({}, e, {
              value: Te
            }),
            warn: M({}, e, {
              value: Pe
            }),
            error: M({}, e, {
              value: Se
            }),
            group: M({}, e, {
              value: ke
            }),
            groupCollapsed: M({}, e, {
              value: Oe
            }),
            groupEnd: M({}, e, {
              value: De
            })
          });
        }
        H < 0 && p("disabledDepth fell below zero. This is a bug in React. Please file an issue.");
      }
    }
    var le = T.ReactCurrentDispatcher, fe;
    function te(e, a, u) {
      {
        if (fe === void 0)
          try {
            throw Error();
          } catch (E) {
            var c = E.stack.trim().match(/\n( *(at )?)/);
            fe = c && c[1] || "";
          }
        return `
` + fe + e;
      }
    }
    var de = !1, re;
    {
      var ut = typeof WeakMap == "function" ? WeakMap : Map;
      re = new ut();
    }
    function je(e, a) {
      if (!e || de)
        return "";
      {
        var u = re.get(e);
        if (u !== void 0)
          return u;
      }
      var c;
      de = !0;
      var E = Error.prepareStackTrace;
      Error.prepareStackTrace = void 0;
      var y;
      y = le.current, le.current = null, st();
      try {
        if (a) {
          var h = function() {
            throw Error();
          };
          if (Object.defineProperty(h.prototype, "props", {
            set: function() {
              throw Error();
            }
          }), typeof Reflect == "object" && Reflect.construct) {
            try {
              Reflect.construct(h, []);
            } catch (j) {
              c = j;
            }
            Reflect.construct(e, [], h);
          } else {
            try {
              h.call();
            } catch (j) {
              c = j;
            }
            e.call(h.prototype);
          }
        } else {
          try {
            throw Error();
          } catch (j) {
            c = j;
          }
          e();
        }
      } catch (j) {
        if (j && c && typeof j.stack == "string") {
          for (var v = j.stack.split(`
`), C = c.stack.split(`
`), R = v.length - 1, x = C.length - 1; R >= 1 && x >= 0 && v[R] !== C[x]; )
            x--;
          for (; R >= 1 && x >= 0; R--, x--)
            if (v[R] !== C[x]) {
              if (R !== 1 || x !== 1)
                do
                  if (R--, x--, x < 0 || v[R] !== C[x]) {
                    var P = `
` + v[R].replace(" at new ", " at ");
                    return e.displayName && P.includes("<anonymous>") && (P = P.replace("<anonymous>", e.displayName)), typeof e == "function" && re.set(e, P), P;
                  }
                while (R >= 1 && x >= 0);
              break;
            }
        }
      } finally {
        de = !1, le.current = y, it(), Error.prepareStackTrace = E;
      }
      var K = e ? e.displayName || e.name : "", Ge = K ? te(K) : "";
      return typeof e == "function" && re.set(e, Ge), Ge;
    }
    function ct(e, a, u) {
      return je(e, !1);
    }
    function lt(e) {
      var a = e.prototype;
      return !!(a && a.isReactComponent);
    }
    function ne(e, a, u) {
      if (e == null)
        return "";
      if (typeof e == "function")
        return je(e, lt(e));
      if (typeof e == "string")
        return te(e);
      switch (e) {
        case b:
          return te("Suspense");
        case g:
          return te("SuspenseList");
      }
      if (typeof e == "object")
        switch (e.$$typeof) {
          case d:
            return ct(e.render);
          case m:
            return ne(e.type, a, u);
          case _: {
            var c = e, E = c._payload, y = c._init;
            try {
              return ne(y(E), a, u);
            } catch {
            }
          }
        }
      return "";
    }
    var oe = Object.prototype.hasOwnProperty, Ne = {}, Ie = T.ReactDebugCurrentFrame;
    function ae(e) {
      if (e) {
        var a = e._owner, u = ne(e.type, e._source, a ? a.type : null);
        Ie.setExtraStackFrame(u);
      } else
        Ie.setExtraStackFrame(null);
    }
    function ft(e, a, u, c, E) {
      {
        var y = Function.call.bind(oe);
        for (var h in e)
          if (y(e, h)) {
            var v = void 0;
            try {
              if (typeof e[h] != "function") {
                var C = Error((c || "React class") + ": " + u + " type `" + h + "` is invalid; it must be a function, usually from the `prop-types` package, but received `" + typeof e[h] + "`.This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.");
                throw C.name = "Invariant Violation", C;
              }
              v = e[h](a, h, c, u, null, "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED");
            } catch (R) {
              v = R;
            }
            v && !(v instanceof Error) && (ae(E), p("%s: type specification of %s `%s` is invalid; the type checker function must return `null` or an `Error` but returned a %s. You may have forgotten to pass an argument to the type checker creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and shape all require an argument).", c || "React class", u, h, typeof v), ae(null)), v instanceof Error && !(v.message in Ne) && (Ne[v.message] = !0, ae(E), p("Failed %s type: %s", u, v.message), ae(null));
          }
      }
    }
    var dt = Array.isArray;
    function pe(e) {
      return dt(e);
    }
    function pt(e) {
      {
        var a = typeof Symbol == "function" && Symbol.toStringTag, u = a && e[Symbol.toStringTag] || e.constructor.name || "Object";
        return u;
      }
    }
    function vt(e) {
      try {
        return Fe(e), !1;
      } catch {
        return !0;
      }
    }
    function Fe(e) {
      return "" + e;
    }
    function Le(e) {
      if (vt(e))
        return p("The provided key is an unsupported type %s. This value must be coerced to a string before before using it here.", pt(e)), Fe(e);
    }
    var q = T.ReactCurrentOwner, ht = {
      key: !0,
      ref: !0,
      __self: !0,
      __source: !0
    }, Me, Be, ve;
    ve = {};
    function gt(e) {
      if (oe.call(e, "ref")) {
        var a = Object.getOwnPropertyDescriptor(e, "ref").get;
        if (a && a.isReactWarning)
          return !1;
      }
      return e.ref !== void 0;
    }
    function Et(e) {
      if (oe.call(e, "key")) {
        var a = Object.getOwnPropertyDescriptor(e, "key").get;
        if (a && a.isReactWarning)
          return !1;
      }
      return e.key !== void 0;
    }
    function mt(e, a) {
      if (typeof e.ref == "string" && q.current && a && q.current.stateNode !== a) {
        var u = A(q.current.type);
        ve[u] || (p('Component "%s" contains the string ref "%s". Support for string refs will be removed in a future major release. This case cannot be automatically converted to an arrow function. We ask you to manually fix this case by using useRef() or createRef() instead. Learn more about using refs safely here: https://reactjs.org/link/strict-mode-string-ref', A(q.current.type), e.ref), ve[u] = !0);
      }
    }
    function yt(e, a) {
      {
        var u = function() {
          Me || (Me = !0, p("%s: `key` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)", a));
        };
        u.isReactWarning = !0, Object.defineProperty(e, "key", {
          get: u,
          configurable: !0
        });
      }
    }
    function bt(e, a) {
      {
        var u = function() {
          Be || (Be = !0, p("%s: `ref` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)", a));
        };
        u.isReactWarning = !0, Object.defineProperty(e, "ref", {
          get: u,
          configurable: !0
        });
      }
    }
    var Rt = function(e, a, u, c, E, y, h) {
      var v = {
        $$typeof: t,
        type: e,
        key: a,
        ref: u,
        props: h,
        _owner: y
      };
      return v._store = {}, Object.defineProperty(v._store, "validated", {
        configurable: !1,
        enumerable: !1,
        writable: !0,
        value: !1
      }), Object.defineProperty(v, "_self", {
        configurable: !1,
        enumerable: !1,
        writable: !1,
        value: c
      }), Object.defineProperty(v, "_source", {
        configurable: !1,
        enumerable: !1,
        writable: !1,
        value: E
      }), Object.freeze && (Object.freeze(v.props), Object.freeze(v)), v;
    };
    function xt(e, a, u, c, E) {
      {
        var y, h = {}, v = null, C = null;
        u !== void 0 && (Le(u), v = "" + u), Et(a) && (Le(a.key), v = "" + a.key), gt(a) && (C = a.ref, mt(a, E));
        for (y in a)
          oe.call(a, y) && !ht.hasOwnProperty(y) && (h[y] = a[y]);
        if (e && e.defaultProps) {
          var R = e.defaultProps;
          for (y in R)
            h[y] === void 0 && (h[y] = R[y]);
        }
        if (v || C) {
          var x = typeof e == "function" ? e.displayName || e.name || "Unknown" : e;
          v && yt(h, x), C && bt(h, x);
        }
        return Rt(e, v, C, E, c, q.current, h);
      }
    }
    var he = T.ReactCurrentOwner, We = T.ReactDebugCurrentFrame;
    function Y(e) {
      if (e) {
        var a = e._owner, u = ne(e.type, e._source, a ? a.type : null);
        We.setExtraStackFrame(u);
      } else
        We.setExtraStackFrame(null);
    }
    var ge;
    ge = !1;
    function Ee(e) {
      return typeof e == "object" && e !== null && e.$$typeof === t;
    }
    function $e() {
      {
        if (he.current) {
          var e = A(he.current.type);
          if (e)
            return `

Check the render method of \`` + e + "`.";
        }
        return "";
      }
    }
    function _t(e) {
      {
        if (e !== void 0) {
          var a = e.fileName.replace(/^.*[\\\/]/, ""), u = e.lineNumber;
          return `

Check your code at ` + a + ":" + u + ".";
        }
        return "";
      }
    }
    var Ve = {};
    function Ct(e) {
      {
        var a = $e();
        if (!a) {
          var u = typeof e == "string" ? e : e.displayName || e.name;
          u && (a = `

Check the top-level render call using <` + u + ">.");
        }
        return a;
      }
    }
    function Ue(e, a) {
      {
        if (!e._store || e._store.validated || e.key != null)
          return;
        e._store.validated = !0;
        var u = Ct(a);
        if (Ve[u])
          return;
        Ve[u] = !0;
        var c = "";
        e && e._owner && e._owner !== he.current && (c = " It was passed a child from " + A(e._owner.type) + "."), Y(e), p('Each child in a list should have a unique "key" prop.%s%s See https://reactjs.org/link/warning-keys for more information.', u, c), Y(null);
      }
    }
    function Ye(e, a) {
      {
        if (typeof e != "object")
          return;
        if (pe(e))
          for (var u = 0; u < e.length; u++) {
            var c = e[u];
            Ee(c) && Ue(c, a);
          }
        else if (Ee(e))
          e._store && (e._store.validated = !0);
        else if (e) {
          var E = w(e);
          if (typeof E == "function" && E !== e.entries)
            for (var y = E.call(e), h; !(h = y.next()).done; )
              Ee(h.value) && Ue(h.value, a);
        }
      }
    }
    function wt(e) {
      {
        var a = e.type;
        if (a == null || typeof a == "string")
          return;
        var u;
        if (typeof a == "function")
          u = a.propTypes;
        else if (typeof a == "object" && (a.$$typeof === d || a.$$typeof === m))
          u = a.propTypes;
        else
          return;
        if (u) {
          var c = A(a);
          ft(u, e.props, "prop", c, e);
        } else if (a.PropTypes !== void 0 && !ge) {
          ge = !0;
          var E = A(a);
          p("Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?", E || "Unknown");
        }
        typeof a.getDefaultProps == "function" && !a.getDefaultProps.isReactClassApproved && p("getDefaultProps is only used on classic React.createClass definitions. Use a static property named `defaultProps` instead.");
      }
    }
    function Tt(e) {
      {
        for (var a = Object.keys(e.props), u = 0; u < a.length; u++) {
          var c = a[u];
          if (c !== "children" && c !== "key") {
            Y(e), p("Invalid prop `%s` supplied to `React.Fragment`. React.Fragment can only have `key` and `children` props.", c), Y(null);
            break;
          }
        }
        e.ref !== null && (Y(e), p("Invalid attribute `ref` supplied to `React.Fragment`."), Y(null));
      }
    }
    function Ke(e, a, u, c, E, y) {
      {
        var h = ot(e);
        if (!h) {
          var v = "";
          (e === void 0 || typeof e == "object" && e !== null && Object.keys(e).length === 0) && (v += " You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports.");
          var C = _t(E);
          C ? v += C : v += $e();
          var R;
          e === null ? R = "null" : pe(e) ? R = "array" : e !== void 0 && e.$$typeof === t ? (R = "<" + (A(e.type) || "Unknown") + " />", v = " Did you accidentally export a JSX literal instead of a component?") : R = typeof e, p("React.jsx: type is invalid -- expected a string (for built-in components) or a class/function (for composite components) but got: %s.%s", R, v);
        }
        var x = xt(e, a, u, E, y);
        if (x == null)
          return x;
        if (h) {
          var P = a.children;
          if (P !== void 0)
            if (c)
              if (pe(P)) {
                for (var K = 0; K < P.length; K++)
                  Ye(P[K], e);
                Object.freeze && Object.freeze(P);
              } else
                p("React.jsx: Static children should always be an array. You are likely explicitly calling React.jsxs or React.jsxDEV. Use the Babel transform instead.");
            else
              Ye(P, e);
        }
        return e === o ? Tt(x) : wt(x), x;
      }
    }
    function Pt(e, a, u) {
      return Ke(e, a, u, !0);
    }
    function St(e, a, u) {
      return Ke(e, a, u, !1);
    }
    var kt = St, Ot = Pt;
    J.Fragment = o, J.jsx = kt, J.jsxs = Ot;
  }()), J;
}
(function(n) {
  process.env.NODE_ENV === "production" ? n.exports = qt() : n.exports = zt();
})(xe);
const L = xe.exports.jsx, tt = xe.exports.jsxs, Jt = It(({
  id: n,
  value: t
}, r) => {
  const {
    bus: o,
    props: {
      readOnly: s,
      spanStyle: i,
      spanClassName: l
    }
  } = B(), f = ie(null);
  typeof r == "function" && r(f);
  const d = Ht(f);
  return /* @__PURE__ */ L("span", {
    ref: f,
    style: i,
    className: l,
    contentEditable: !s,
    suppressContentEditableWarning: !0,
    onInput: (g) => {
      var _;
      d();
      const m = (_ = g.currentTarget.textContent) != null ? _ : "";
      o.send(I.Change, {
        key: n,
        value: m
      });
    },
    onPaste: Xt,
    children: t
  });
});
function Xt(n) {
  n.preventDefault();
  const t = n.clipboardData.getData("text");
  document.execCommand("insertText", !1, t);
}
const Zt = (n) => {
  const t = ie(null);
  return k(() => {
    var r;
    if (t.current) {
      const {
        key: o,
        caret: s
      } = t.current;
      let i = (r = n.get(o)) == null ? void 0 : r.current;
      i == null || i.focus(), i && Q.setIndex(i, s), t.current = null;
    }
  }), t;
}, Qt = () => {
  const {
    bus: n
  } = B(), t = Z(() => /* @__PURE__ */ new Map(), []), r = me((o) => (s) => t.set(o, s), []);
  return k(() => n.listen(I.Change, () => {
    t.clear();
  }), []), k(() => n.listen(I.Delete, () => {
    t.clear();
  }), []), {
    register: r,
    elements: t
  };
}, er = () => {
  const {
    bus: n
  } = B(), t = ie(null);
  return k(() => n.listen("onFocus", (r) => t.current = r.target), []), k(() => n.listen("onBlur", (r) => t.current = null), []), t;
};
function tr(n, t, r) {
  const {
    pieces: o,
    bus: s
  } = B();
  k(() => s.listen("onKeyDown", (i) => {
    var w, T;
    const l = new rr(r, n, t, o), f = i.target, d = Q.getCaretIndex(f), b = d === 0, g = d === ((w = f.textContent) == null ? void 0 : w.length), m = {
      [G.LEFT]: b ? _ : null,
      [G.RIGHT]: g ? S : null,
      [G.UP]: null,
      [G.DOWN]: null,
      [G.DELETE]: g ? W : null,
      [G.BACKSPACE]: b ? D : null
    };
    (T = m[i.key]) == null || T.call(m);
    function _() {
      const p = l.getPreviousElement();
      p == null || p.focus(), Q.setCaretToEnd(p), i.preventDefault();
    }
    function S() {
      const p = l.getNextElement();
      p == null || p.focus(), i.preventDefault();
    }
    function D() {
      const p = l.getPreviousMarkKey();
      !p || (l.recoverLeft(), s.send(I.Delete, {
        key: p
      }), i.preventDefault());
    }
    function W() {
      const p = l.getNextMarkKey();
      !p || (l.recoverRight(), s.send(I.Delete, {
        key: p
      }), i.preventDefault());
    }
  }), [o]);
}
class rr {
  constructor(t, r, o, s) {
    this.focusedElement = t, this.elements = r, this.recoveryRef = o, this.pieces = s;
  }
  recoverLeft() {
    var s, i;
    let t = (s = this.getPreviousElement()) == null ? void 0 : s.textContent, r = (i = this.focusedElement.current) == null ? void 0 : i.textContent, o = t + r;
    this.recoveryRef.current = {
      key: se(o),
      caret: t.length
    };
  }
  recoverRight() {
    var s, i;
    let t = (s = this.getNextElement()) == null ? void 0 : s.textContent, r = (i = this.focusedElement.current) == null ? void 0 : i.textContent, o = r + t;
    this.recoveryRef.current = {
      key: se(o),
      caret: r.length
    };
  }
  getPreviousElement() {
    let t = null;
    if (!this.focusedElement.current)
      return null;
    for (const [r, o] of this.elements) {
      if (o.current === this.focusedElement.current)
        return t;
      t = o.current;
    }
    return null;
  }
  getNextElement() {
    let t = !1;
    if (!this.focusedElement.current)
      return null;
    for (const [r, o] of this.elements) {
      if (t)
        return o.current;
      o.current === this.focusedElement.current && (t = !0);
    }
    return null;
  }
  getPreviousMarkKey() {
    let t = null;
    const r = this.getCurrentKey();
    if (!r)
      return null;
    for (const [o] of this.pieces) {
      if (o === r)
        return t;
      t = o;
    }
    return null;
  }
  getNextMarkKey() {
    let t = !1;
    const r = this.getCurrentKey();
    if (!r)
      return null;
    for (const [o] of this.pieces) {
      if (t)
        return o;
      o === r && (t = !0);
    }
    return null;
  }
  getCurrentKey() {
    if (!this.focusedElement.current)
      return null;
    for (const [t, r] of this.elements)
      if (r.current === this.focusedElement.current)
        return t;
    return null;
  }
}
const nr = (n) => {
  const {
    bus: t
  } = B();
  k(() => t.listen("onClick", () => {
    if (n.size === 1) {
      const r = [...n.values()][0].current;
      (r == null ? void 0 : r.textContent) === "" && r.focus();
    }
  }), []);
}, or = () => {
  const {
    elements: n,
    register: t
  } = Qt(), r = er(), o = Zt(n);
  return tr(n, o, r), nr(n), {
    register: t
  };
}, ar = () => {
  const {
    pieces: n,
    bus: t,
    options: r,
    props: {
      Mark: o,
      ...s
    }
  } = B(), {
    register: i
  } = or(), l = s.className ? ze + " " + s.className : ze;
  return /* @__PURE__ */ L("div", {
    className: l,
    style: s.style,
    ...t.events1,
    children: [...n].map(([f, d]) => {
      var g, m, _;
      if (!ce(d))
        return /* @__PURE__ */ L(Jt, {
          ref: i(f),
          id: f,
          value: d
        }, f);
      const b = (_ = (m = (g = r[d.childIndex]).initMark) == null ? void 0 : m.call(g, d)) != null ? _ : d;
      return /* @__PURE__ */ L(o, {
        tabIndex: -1,
        ...b
      }, f);
    })
  });
}, sr = ({
  data: n,
  word: t,
  style: r,
  onSelect: o,
  ...s
}) => {
  const [i, l] = be(NaN), f = Z(() => n.filter((d) => d.toLowerCase().indexOf(t.toLowerCase()) > -1), [t]);
  return f.length ? /* @__PURE__ */ L("ul", {
    className: "mk-suggestions",
    style: r,
    children: f.map((d, b) => {
      let g;
      return b === i && (g = "mk-suggestion-active"), /* @__PURE__ */ L("li", {
        className: g,
        onClick: (m) => o({
          label: d,
          value: b.toString()
        }),
        children: d
      }, d);
    })
  }) : null;
}, ir = () => {
  var S, D;
  const {
    pieces: n,
    bus: t,
    trigger: r,
    props: {
      Overlay: o = sr
    }
  } = B();
  if (!r)
    return null;
  const {
    word: s,
    option: i,
    style: l,
    text: f,
    indexBefore: d,
    triggeredValue: b
  } = r;
  if (s === void 0)
    return null;
  const m = {
    word: s,
    style: l,
    onSelect: ({
      label: W,
      value: w
    }) => {
      const T = Re(i.markup, W, w);
      let p;
      for (let [V, U] of n.entries())
        if (U === f) {
          p = V;
          break;
        }
      let $ = (f == null ? void 0 : f.slice(0, d)) + T + (f == null ? void 0 : f.slice(d + b.length));
      p && t.send(I.Change, {
        value: $,
        key: p
      });
    },
    data: i.data
  }, _ = (D = (S = i.initOverlay) == null ? void 0 : S.call(i, m)) != null ? D : m;
  return Ft(o, _);
}, ur = (n) => Z(() => Yt(n), [n]), cr = (n, t) => {
  const r = Z(ue.split(n, t), [n]);
  return Z(o, [r.length]);
  function o() {
    return r.reduce((i, l) => i.set(s(l, i), l), /* @__PURE__ */ new Map());
    function s(i, l) {
      let f = ce(i) ? i.label + i.value : i, d = 0, b = se(f, d);
      for (; l.has(b); )
        b = se(f, d++);
      return b;
    }
  }
}, lr = (n, t) => {
  const [r, o] = be(), s = me(() => o(void 0), []), i = me(() => {
    var l;
    for (let f of n) {
      let {
        word: d,
        triggeredValue: b,
        text: g,
        indexBefore: m
      } = (l = fr(f.trigger)) != null ? l : {};
      if (d !== void 0) {
        o({
          word: d,
          triggeredValue: b,
          style: pr(),
          option: f,
          text: g,
          indexBefore: m
        });
        return;
      }
    }
    o(void 0);
  }, []);
  return k(() => t.listen("onFocus", (l) => {
    document.addEventListener("selectionchange", i);
  }), []), k(() => t.listen("onBlur", (l) => {
    document == null || document.removeEventListener("selectionchange", i), setTimeout((f) => s(), 200);
  }), []), r;
};
function fr(n) {
  var $, V, U, ee;
  if (!n)
    return;
  const t = window.getSelection(), r = t == null ? void 0 : t.anchorOffset, o = ($ = t == null ? void 0 : t.anchorNode) == null ? void 0 : $.textContent;
  if (!r || !o)
    return;
  const s = o.slice(0, r), i = o.slice(r), l = X(n), f = "\\s?" + l + "\\w*$", d = new RegExp(f), b = new RegExp(/^\w*/), g = s.match(d);
  if (!g)
    return;
  const m = (V = g[0]) != null ? V : "", _ = g.index + (dr(m) ? 1 : 0), S = (ee = (U = i.match(b)) == null ? void 0 : U[0]) != null ? ee : "", D = m + S, w = Bt(n).exec(D), T = w == null ? void 0 : w[0], p = w == null ? void 0 : w[1];
  if (p !== void 0)
    return {
      word: p,
      triggeredValue: T,
      text: o,
      indexBefore: _
    };
}
function dr(n) {
  return n.startsWith(" ");
}
function pr() {
  var t;
  const n = (t = window.getSelection()) == null ? void 0 : t.getRangeAt(0).getBoundingClientRect();
  return n ? {
    left: n.left,
    top: n.top + 20
  } : {
    left: 0,
    top: 0
  };
}
var O;
class vr {
  constructor() {
    He(this, O, {});
  }
  get length() {
    return Object.keys(F(this, O)).length;
  }
  get events() {
    return Object.keys(F(this, O)).filter(Vt).reduce((t, r) => (t[r] = (o) => this.send(r, o), t), {});
  }
  get events1() {
    return ["onFocus", "onBlur", "onKeyDown", "onClick"].reduce((t, r) => (t[r] = (o) => this.send(r, o), t), {});
  }
  send(t, r) {
    const o = F(this, O)[t];
    !o || o.forEach((s) => s(r));
  }
  listen(t, r) {
    var s, i;
    const o = r;
    return (i = (s = F(this, O))[t]) != null || (s[t] = []), F(this, O)[t].push(o), () => {
      F(this, O)[t] = F(this, O)[t].filter((l) => l !== o);
    };
  }
}
O = new WeakMap();
function hr(n) {
  const {
    bus: t,
    pieces: r,
    options: o,
    props: s
  } = n;
  k(() => t.listen(I.Change, (i) => {
    const {
      key: l,
      value: f = ""
    } = i;
    r.set(l, f), s.onChange(Xe([...r.values()], o));
  }), [r]), k(() => t.listen(I.Delete, (i) => {
    const {
      key: l
    } = i;
    r.delete(l), s.onChange(Xe([...r.values()], o));
  }), [r]);
}
const gr = ({
  props: n,
  children: t
}) => {
  const r = ur(n.children), o = cr(n.value, r), s = be(() => new vr())[0], i = lr(r, s), l = {
    options: r,
    props: n,
    pieces: o,
    trigger: i,
    bus: s
  };
  return hr(l), /* @__PURE__ */ tt(Gt, {
    value: l,
    children: [" ", t, " "]
  });
};
const Er = (n) => /* @__PURE__ */ tt(gr, {
  props: n,
  children: [/* @__PURE__ */ L(ar, {}), /* @__PURE__ */ L(ir, {})]
}), Rr = ({
  trigger: n = "@",
  markup: t = "@[__label__](__value__)",
  data: r = [],
  ...o
}) => null;
function xr(n, t, r) {
  const o = $t(t) ? {
    Mark: n,
    Overlay: t,
    children: r
  } : {
    Mark: n,
    children: t
  };
  return (s) => {
    const i = et({}, s, o);
    return Er(i);
  };
}
export {
  Er as MarkedInput,
  Rr as Option,
  Re as annotate,
  xr as createMarkedInput,
  br as denote
};
//# sourceMappingURL=rc-marked-input.js.map
