import { EventName, Payload, Type } from "../types";
export declare class EventBus {
    #private;
    get length(): number;
    get events(): Record<string, Function>;
    get events1(): Record<string, Function>;
    send(event: Type, arg: Payload): void;
    send(event: EventName, arg: any): void;
    listen(event: Type, callback: (e: Payload) => void): void;
    listen(event: EventName, callback: (e: any) => void): void;
}
export interface ListenerOptions {
    readonly preventDefault?: boolean;
}
//# sourceMappingURL=EventBus.d.ts.map